Schedule Bill Payment

Schedule a Bill Payment.
• This endpoint allows the scheduling of a one-time or recurring future bill payment to the selected payee, using their payeeIdentifier.
• Recurring future bill payments: The payee needs to be added using POST /billpayPayees to obtain a payeeIdentifier.The frequencyType is required. If the recurring billPay schedule has an ending date, then the paymentEndDate should be the same date.If the recurring billPay schedule is unknown, the paymentEndDate can be set to null.
• The send date set at the time when the original recurring bill payment was scheduled will be revised automatically when the deliver by date lands on either a weekend or federal holiday to ensure there is enough time (5 business days) for the check to arrive by the original expected date.Once the payee is added, the paymentIdentifier will be assigned for the recurring future bill payment.
• The confirmation number will also be returned to the user for schedule confirmation. The scheduled bill payment will be debited from the user’s account on the payment date.After the first scheduled bill payment is processed, future recurring bill payments will be automatically scheduled for the next payment due date, based on frequencyType. Note: If there are issues with debiting a payment, it can be retried up to two times the same morning.
• If the payment still fails, the paymentStatus will show as failed and it will not be tried again. Terms and Conditions Enforcement Depending on the terms and conditions included in the daa that is accepted during account registration, some features may need to be explicitly accepted via the PUT /accounts endpoint.Initially, all programs will be configured to not enforce terms acceptance.Once the system is configured to enforce terms acceptance for a feature, any customer that does not accept the terms for that feature will not be allowed to use the feature.
• For any programs, where customers are already using features that may require explicit terms acceptance, a data backfill will be required for those customers prior to enforcement being enabled.Please work with your Green Dot Account Manager and/or Product Manager to understand the impact and transition plan for your program and features. Bill Pay Transaction Limits Programs configured for Bill Pay will have a $7,500 limit per Bill Pay transaction. Note: Some programs may have custom limits configured for Bill Pay transactions.

Path Params
string
required

The program code associated with the partner implementation.

string
required

The unique identifier of the account from which the payment will be made. Must be a valid GUID.

Body Params

The Gd.Bos.DataTransfer.Request.CreatePaymentRequest object containing payment details such as amount, payee, and schedule.

string | null

The unique identifier of the account from which the payment will be made. Must be a valid GUID.

string | null

The unique identifier of the payee to whom the payment will be sent. Must be a valid GUID.

double

The amount to be paid to the payee.

string | null

The date the payment is to be sent (format: yyyy-MM-dd).

string | null

The end date for recurring payments (format: yyyy-MM-dd). Null for one-time payments.

string | null

An optional memo to include with the payment.

string | null

An optional note for the payment.

string | null

The frequency type for the payment (e.g., "oneTime", "weekly", "monthly").

string | null

The unique identifier of the user scheduling the payment, if applicable.

Headers
string
required

The unique request identifier for idempotency and tracking. Must be provided in the X-GD-RequestId header.

string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

401

Unauthorized

Language
Credentials
Header
LoadingLoading…
Response
Choose an example:
application/json
text/json